org.gradle.platform.base

## Interface LibrarySpec

- All Superinterfaces:
    ComponentSpec, GeneralComponentSpec, ModelElement, Named, SourceComponentSpec, VariantComponent, VariantComponentSpec
  All Known Subinterfaces:
    JvmLibrarySpec, NativeLibrarySpec

      @Incubating
      public interface LibrarySpec
      extends GeneralComponentSpec

  A specification of a `Library`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.platform.base.SourceComponentSpec

      `getSources`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

      `getBinaries`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponent

      `getName, getVariants`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName`